# GoogleChartDataSimpleEncoding Class Reference

Inheritance diagram for GoogleChartDataSimpleEncoding:
[legend]

List of all members.

## Public Member Functions

| __construct ()
| encode (GoogleChartDataSet $set)
| toString ()

## Static Public Member Functions

static | create ()

## Protected Attributes

| $name = 's:'

## Private Attributes

| $encodingChars = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789'
| $length = null

## Detailed Description

Definition at line 15 of file GoogleChartDataSimpleEncoding.class.php.

## Constructor & Destructor Documentation

GoogleChartDataSimpleEncoding::__construct | ( |  | ) |

Definition at line 31 of file GoogleChartDataSimpleEncoding.class.php.

## Member Function Documentation

static GoogleChartDataSimpleEncoding::create | ( |  | ) | `[static]`

Returns:
  GoogleChartDataSimpleEncoding

Definition at line 26 of file GoogleChartDataSimpleEncoding.class.php.

GoogleChartDataSimpleEncoding::encode | ( | GoogleChartDataSet $ | set | ) |

Implements GoogleChartDataEncoding.

Definition at line 36 of file GoogleChartDataSimpleEncoding.class.php.

References GoogleChartDataSet::getData().

Here is the call graph for this function:

GoogleChartDataSimpleEncoding::toString | ( |  | ) |

Definition at line 55 of file GoogleChartDataSimpleEncoding.class.php.

## Member Data Documentation

GoogleChartDataSimpleEncoding::$encodingChars = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789'`[private]`

Definition at line 20 of file GoogleChartDataSimpleEncoding.class.php.

GoogleChartDataSimpleEncoding::$length = null`[private]`

Definition at line 21 of file GoogleChartDataSimpleEncoding.class.php.

GoogleChartDataSimpleEncoding::$name = 's:'`[protected]`

Definition at line 18 of file GoogleChartDataSimpleEncoding.class.php.

The documentation for this class was generated from the following file:

- main/Charts/Google/GoogleChartDataSimpleEncoding.class.php